手动安装Riru Core与EdXposed

文章

原图外链迁移到 Gitee

概要

文档在安装有 Magisk 的环境下展开,文档也默认你拥有 Magisk 环境,如果不能满足此文档内容的最低要求,安装可能无法进行

在开始之前,你需要:

  • 安装有 Magisk 运行环境的任意 Android 设备
  • 未安装 “传统”Xposed (如果有,请将其卸载)

0 配置 Magisk 更新源

想要使用 Riru Core 和 EdXposed,首先需要更新 Magisk
  • Magisk 的更新服务器位于海外,国内无法访问,此时需要配置一个更新源
在 Magisk 主界面右滑,选择设置—更新通道—自定义,输入Url
https://gitee.com/QingFeiDeiYi/Magisk/raw/master/stable.json
随后回到主界面,刷新,即可正常更新

1 安装前置组件 Riru-Core

确保 Magisk 已更新到 v20.2 版本,才可以进行此步骤!
访问 Riru 在 Github 的项目 ,下载 Riru在这里插入图片描述
  • 将 Zip 文件存放到容易寻找的位置!
在 Magisk 主界面右滑,选择模块
点击下方的 “+” 按钮,在跳出的窗口中选中上一步下载的 Riru 的 Zip 文件
Magisk 会自动装载模块,如果出现类似下面的界面,则代表安装成功
  • 如果出现 Please Install Magisk vXX+,则代表 Magisk 版本不兼容,请自行升/降级
    在这里插入图片描述
成功后重启手机,Riru-Core 安装完成

2 安装 EdXposed

访问 EdXposed 在 Github 的项目 ,下载 EdXposed(YAHFA 版本)

在这里插入图片描述

  • 将 Zip 文件存放到容易寻找的位置!
在 Magisk 主界面右滑,选择模块
点击下方的 “+” 按钮,在跳出的窗口中选中上一步下载的 EdXposed 的 Zip 文件
Magisk 会自动装载模块,如果出现类似下面的界面,则代表安装成功

在这里插入图片描述

在 Magisk 的模块页面,勾选 Riru 与 EdXposed
  • 如果没有出现任何模块,请刷新页面
此时 Riru Core 与 EdXposed 的安装已完成,重启即可享受
Enjoy It!

By Hikaru

Last modification:January 24th, 2021 at 12:54 pm
如果觉得我的文章对你有用,请随意赞赏